Subject: Ad-hoc Orlando Minutes

From: "Kent M. Davidson" <[email-masked]>
Date: Wed, 09 Dec 1998 17:12:39 -0500

I've taken my notes from the Orlando IOTP TRADE meeting and enclosed it for those who were unable to attend. 

This closely resembles Donald's slides, with minor mods. I've also tried to include as many of the questions that came up from the crowd as well, and some answers, though I wasn't able to get everything.

I'll follow up with some of the issues that came up.

*** Internet Open Trading Protocol (IOTP) WG 1:00P - 3:00P 12/9/98

Agenda:
- Agenda Bashing
- draft-rfced-info-blinov-00.txt
	- SCMP (Author: Tom Arnold, Cybersource)
- Status of Documents
	- IOTP Protocol v1.0
		- draft-ietf-trade-iotp-protocol-v1.0-00.txt
		- See message of 17 November 1998
			- packaged content
				- adding names, several instances of content
			- Use trading role component instead of payment component
			- BrandID, IANA services
				- naming schemes for CC
				- SET naming scheme
			- Logging, Sucess/Error/Cancel net locations
				- what URL to go to to log response errors
				- what URL to go to for different errors
			- Authentication, optional preface to other transactions, Auth Response, signature details
				- can send entity/naming/mailing address information in authentication 

	- XML DSIG - draft-trade-xml-sig-00.txt
		- May become a separate WG
	- Architecture
		- posted to list 24 November 1998
	- HTTP Supplement
		"draft-ietf-trade-iotp-http-00.txt"
		- Pragma nocache is HTTP v1.0 only
		- POST responses are not cached
		- See what can be stolen from Application/XML RFC
		- Update for changes to continuation URLs
		- Use GET for Success/Error/Cancel
	- SET Supplement
		- up to draft version 4
		- Packaged Content Issues
		- BrandID, SET:x:y:z versus IOTP:abc
		- (IOTP is not dependent on SET or any other specific payment scheme)
	- SCCD Supplement (Secure Channel Credit Debit)
		- Still to be revised by Jonathan Sowler
- Implementations
	- V0.9 - demo/private
		- Hitachi
		- Royal Bank of Canada
	- V1.0
		- British Telecom
		- CyberSource
		- Differential
		- Hitachi
		- Royal Bank of Canada
	Q?: Anyone talking with customers
		Royal bank talking with ATMs

- v2.0 - form, content
	"talk of renaming to 1.5"
	- Evolutionary change from v1.0
	- "Still water" between v1.0 and v2.0
	- v1.0 doc too big and monolithic
		- issue some subsets of v1.0 with implementation feedback as "v1.1", e.g. "IOTP Messaging"
	- FORM
		- see 19 Nov. message to list
		- split into many documents
			- Overview, Messaging, Offer Excahnge, Payment Exchange, Delivery Exchange, Authentication Exchange, Baseline Transactions, Dynamic Transactions, Customer Care Exchange, Inter-Server Exchange, Payment Supplements, Transport Supplements
	- CONTENT
		- Dynamic Transaction Structuring
		- Offer request block
		- Auth Method Selection
			- Q? Look at RFC 2284, EAP
		- Inter-server messages
		- Cust Care Transaction
		- Recurring Transactions
		- Order Payment Annotation
			- order description for customer
			- adding amounts
		- Fine Tune IOTP Extension Mechanism
			- general to extend via domain name extension names
			- Only add for packaged content
	- HTML Form Field Names
		- Catalog/Standardize HTML Form Field Names for
			- Identification, ship to, etc.
			- IOTP spoken indication
		- Potential Sources
			- Microsoft Wallet special field names
			- SET CA Form field designations
			- Real world merchant sites
			- Java wallet, others?
		- Privacy Implications (P3P)
			(Privacy and Prefereces Platform)
		Q? Anyone want to help standardize this? Working on this?
		A: Slippery slope - privacy considerations.
- Future Con Calls/Meetings
	- Trying co call - every 2 weeks
		- Dec 3 and 17 at 1-212-547-0300
		- Jan 7 and 21 at 1-212-547-0212
		- all with passcode 90216
	- Meeting in US/Europe
		- Feb. 8-11, 1999
	- Meeting at March 1999 IETF
- "Taxation"
	- No taxation hooks in v1.0
	- Current v2.0 ideas include
		- optional way for meracht to indicate what part of purchase price was for taxes (and shipping, etc.)
		- optional way for role to send taxes to tax authority
	- Consumer location
	Q? Buy 10 of an electronic software, not shipped 10 to 1 addres, instead send 9 of my friends to perform a will-call
	A: OBI is more B2B, perhaps need to expand definition of monolithic Consumer to additional definitions
	Q? Need a way to describe basic tax and label it, otherwise IOTP will not succeed
	Q? Merchants selling physical goods, can treat it as a mail order and handle taxation that way
	Q? Will need to send additional attributes to compute tax: Non-profit, reseller, etc. Need standardized attributes.
	Q? Don't want to write the international sales clerk manual

___________________________________________
Kent M. Davidson, VP of Advanced Technology
Differential, Inc.
direct (408)864-0604 
fax    (408)864-0601             
mailto:[email-masked]
http://www.differential.com

-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]